# -*- coding: utf-8 -*-
'''
Created on Sun Dec  8 14:49:19 2024

@author: mstep
'''

#%%
import tkinter as tk
from PIL import Image, ImageTk
#@@ from tkinter.filedialog import askopenfilename, asksaveasfilename

class MenuOptionsApp:
    def __init__(self):
        # Make the main interface.
        self.window = tk.Tk()
        self.window.title('menu_radiobuttons')
        self.window.protocol('WM_DELETE_WINDOW', self.kill_callback)
        self.window.geometry('400x300')

        # Menus.
        self.build_menus()

        # Make a Canvas.
        canvas = tk.Canvas(self.window)
        canvas.pack()

        # Display the window.
        self.window.focus_force()
        self.window.mainloop()

    def build_menus(self):
        '''Build the menu bar.'''
        self.menu_bar = tk.Menu(self.window)
        self.window.config(menu=self.menu_bar)

        # Build the File menu.
        self.file_menu = tk.Menu(self.menu_bar, tearoff=False)
        self.menu_bar.add_cascade(label='File', menu=self.file_menu)

        # Open
        self.open_photo_image = ImageTk.PhotoImage(file='open.png')        
        self.file_menu.add_command(label='Open...', accelerator='Ctrl+O',
            compound='left',
            command=self.mnu_open, image=self.open_photo_image)
        self.window.bind('<Control-o>', lambda event: self.mnu_open())

        # Save As
        self.save_as_photo_image = ImageTk.PhotoImage(file='save_as.png')        
        self.file_menu.add_command(label='Save As...', accelerator='Ctrl+S',
            compound='left', command=self.mnu_save_as,
            image=self.save_as_photo_image)
        self.file_menu.entryconfig('Save As...')
        self.window.bind('<Control-s>', lambda event: self.mnu_save_as())

        # Exit.
        self.file_menu.add_separator()
        self.exit_photo_image = ImageTk.PhotoImage(file='exit.png')        
        self.file_menu.add_command(label='Exit', compound='left',
            command=self.kill_callback, image=self.exit_photo_image)

        # Build the Scale menu.
        self.scale_menu = tk.Menu(self.menu_bar, tearoff=False)
        self.menu_bar.add_cascade(label='Scale', menu=self.scale_menu)
        self.menu_bar.entryconfig('Scale')

        self.selected_scale = tk.DoubleVar(value=1)
        scales = [3, 2, 1, 0.5, 0.25, 0.1]
        for scale in scales:
            text = f'{scale:.0%}'
            self.scale_menu.add_radiobutton(label=text,
                variable=self.selected_scale, value=scale,
                command=self.set_scale)

    def mnu_open(self):
        print('Open')

    def mnu_save_as(self):
        print('Save As')

    def kill_callback(self):
        self.window.destroy()

    def set_scale(self):
        print(self.selected_scale.get())

#%%

MenuOptionsApp()
print('Done')
